package com.bjzc.bhzhgd.DBModel;

import android.os.Parcel;
import android.os.Parcelable;

import org.litepal.crud.DataSupport;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by ruihong on 2018/7/27.
 */

public class WjbzjdList extends DataSupport implements Parcelable {

    private long id;
    private String zjid;
    private String bagid;
    private String name;
    private WjbList wjbList;
    private List<WjbjxitemList> jxitem;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getZjid() {
        return zjid;
    }

    public void setZjid(String zjid) {
        this.zjid = zjid;
    }

    public String getBagid() {
        return bagid;
    }

    public void setBagid(String bagid) {
        this.bagid = bagid;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public WjbList getWjbList() {
        return wjbList;
    }

    public void setWjbList(WjbList wjbList) {
        this.wjbList = wjbList;
    }

    public List<WjbjxitemList> getJxitem() {
        return jxitem;
    }

    public void setJxitem(List<WjbjxitemList> jxitem) {
        this.jxitem = jxitem;
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeLong(this.id);
        dest.writeString(this.zjid);
        dest.writeString(this.bagid);
        dest.writeString(this.name);
        dest.writeParcelable(this.wjbList, flags);
        dest.writeList(this.jxitem);
    }

    public WjbzjdList() {
    }

    protected WjbzjdList(Parcel in) {
        this.id = in.readLong();
        this.zjid = in.readString();
        this.bagid = in.readString();
        this.name = in.readString();
        this.wjbList = in.readParcelable(WjbList.class.getClassLoader());
        this.jxitem = new ArrayList<WjbjxitemList>();
        in.readList(this.jxitem, WjbjxitemList.class.getClassLoader());
    }

    public static final Parcelable.Creator<WjbzjdList> CREATOR = new Parcelable.Creator<WjbzjdList>() {
        @Override
        public WjbzjdList createFromParcel(Parcel source) {
            return new WjbzjdList(source);
        }

        @Override
        public WjbzjdList[] newArray(int size) {
            return new WjbzjdList[size];
        }
    };
}
